/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 *		2.功能描述：一览界面日期下拉组件-时分秒
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		admin		  	2021-5-5			1.00		   	  新建
 *******************************************************************************/
const util = require('../../../utils/util.js')
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    // 是否显示
    show: {
      type: Boolean,
      default: false
    },
    // 选项格式化函数(type 可能值为 year, month, day, hour, minute)
    formatter:String,
    //类型
    dateType: {
      type: String,
      default: 'createtime'
    },
    //默认值
    defaultValue: {
      type: String,
      default: '-1'
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    show: false,
    active: 0,
    dateDefault: {},
    dateTypeList: [],
    dateSearch: [new Date().getTime() + 100, new Date().getTime() + 100],
    // 往组件外返回值
    dataDefaultSearch: [],
  },

  lifetimes: {
    attached: function () {

    },
    detached: function () {
      // 在组件实例被从页面节点树移除时执行
    },
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /**
     * 日期变化 查询 
     * @param {*} e 
     */
    choose(e) {
      let _this = this
      let item = e.currentTarget.dataset.item

      if (item.value == -2) {
        _this.setData({
          show: true
        })
        setTimeout(function () {
          _this.setData({
            active: 0
          })
        }, 100)
      } else {
        _this.setData({
          dateDefault: item
        })

        let date = []
        if (item.value == 1) {
          date = [util.formatTime(new Date()).substring(0, 10), util.formatTime(new Date()).substring(0, 10)]
        }
        else if (item.value == 2) {
          date = [util.formatTime(util.getCurrentWeek(0)).substring(0, 10), util.formatTime(util.getCurrentWeek(-6)).substring(0, 10)]
        }
        else if (item.value == 3) {
          date = util.getCurrentMonth();
        }
        this.setData({
          dataDefaultSearch: date
        })
        this.triggerEvent('dateCommit', { date: date, dateType: this.data.dateType, dateDefault: this.data.dateDefault })
      }
    },



    /**
     * 日期变化 查询数据 
     * @param {*} e 
     */
    changeDate(e) {
      // let key = e.currentTarget.dataset.key
      //提醒时间
      // if (key === 'nextFollowTime') {
      this.setData({
        timeValue: e.detail
      })
      // }
    },

    /**
     * 日期变化 查询数据 
     * @param {*} e 
     */
    onCloseChooseDate() {
      this.setData({
        show: false
      })
      this.setData({
        dateSearch: [new Date().getTime(), new Date().getTime()],
      })
    },

    /**
     * 日期变化 查询 
     * @param {*} e 
     */
    onConfirmChooseDate() {
      this.setData({
        show: false,
        dateDefault: this.data.dateTypeList[this.data.dateTypeList.length - 1]
      })
      let date = [util.formatDayTime(new Date(this.data.dateSearch[0])),
      util.formatDayTime(new Date(this.data.dateSearch[1]))]
      this.setData({
        dataDefaultSearch: date
      })
      this.triggerEvent('dateCommit', { date: date, dateType: this.data.dateType, dateDefault: this.data.dateDefault })
    },
  }
})
